## passing-the-hash 0~2015.12.37

=== Makefile ===
CC ?= gcc
CFLAGS ?= -g
CFLAGS += -Wall

TARGETS=pth-samba.so
SCRIPTS=pth-smbclient pth-rpcclient pth-net pth-smbget pth-winexe pth-sqsh

all: $(TARGETS)

clean:
	rm -f *.o *.so

%.o: %.c
	$(CC) -c $(CFLAGS) -fPIC -o $@ $<
%.so: %.o
	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ $< -ldl


install: $(TARGETS)
	install -d $(DESTDIR)/usr/lib/passing-the-hash
	install -d $(DESTDIR)/usr/bin
	cp -a $(TARGETS) $(DESTDIR)/usr/lib/passing-the-hash/
	cp -a $(SCRIPTS) $(DESTDIR)/usr/bin/

## passing-the-hash 0~2015.12.34parrot1

=== debian/changelog ===
passing-the-hash (0~2015.12.34parrot1) lory-updates; urgency=medium

  * Add missing build dependencies.
  * Update curl patch.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 04 Dec 2023 18:36:53 +0100

passing-the-hash (0~2015.12.33parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:14:27 +0200

passing-the-hash (0~2015.12.33) kali-dev; urgency=medium

  * Update patch for curl
  * Rebuild with new openssl 3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jun 2022 17:51:37 +0200

passing-the-hash (0~2015.12.32) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders

  [ Sophie Brun ]
  * Update patch for new version of curl
  * Update debian/rules for new curl: configure requires --with-openssl 
  * Add missing build-dep: libltdl-dev

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Mar 2022 11:29:03 +0100

passing-the-hash (0~2015.12.31) kali-experimental; urgency=medium

  * Remove useless debian/patches: package is native
  * Add debian/copyright
  * Remove useless build-dep and fix debian/rules for new debhelper-compat

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Jun 2021 15:01:15 +0200

passing-the-hash (0~2015.12.30) kali-experimental; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update the build for new curl version and remove python
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Jun 2021 11:44:46 +0200

passing-the-hash (0~2015.12.29) kali-dev; urgency=medium

  * Drop pth-openchangeclient as openchange has been dropped from Debian.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 29 Dec 2015 18:35:20 +0100

passing-the-hash (0~2015.12.07) kali-dev; urgency=medium

  * Update debian/rules for the auto-build of wmi

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Dec 2015 09:09:00 +0100

passing-the-hash (0~2014.08.07) kali-dev; urgency=medium

  * Update build-dependencies to match those of the packages
    used in Debian Jessie.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 07 Aug 2014 14:11:59 +0000

passing-the-hash (0~2013.07.05) kali-dev; urgency=low

  * Fix dependency versions on Samba packages by including the epoch.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 04 Jul 2013 16:08:37 +0200

passing-the-hash (0~2013.07.04) kali-dev; urgency=low

  * Add Homepage field.
  * Extend LD_PRELOAD/LD_LIBRARY_PATH instead of overwriting them. Otherwise
    tools like proxychains can't be used with pth-* executables.
  * Bump dependencies to require Samba packages with a version greater than 4.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 04 Jul 2013 15:46:11 +0200

passing-the-hash (0~2013.06.21) kali-dev; urgency=low

  * Initial release adapted from build scripts at
    http://code.google.com/p/passing-the-hash/source/browse/#svn%2Ftrunk%2Fkali-build
    (svn revision 4).

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 21 Jun 2013 14:34:18 +0200

=== debian/control ===
Source: passing-the-hash
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends:
 autoconf,
 automake,
 ca-certificates,
 debhelper-compat (= 13),
 groff-base,
 libglib2.0-dev | libglib-dev,
 libgnutls28-dev,
 libidn-dev,
 libkrb5-dev,
 libldap2-dev,
 libltdl-dev,
 libnss3-dev,
 libreadline-dev,
 librtmp-dev (>= 2.4+20131018.git79459a2-3~),
 libssh2-1-dev,
 libssl-dev,
 libtool,
 openssh-server,
 stunnel4,
 unixodbc-dev (>= 2.2.11-10),
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: http://passing-the-hash.blogspot.fr

Package: passing-the-hash
Architecture: any
Depends:
 samba-common-bin (>= 2:4),
 smbclient (>= 2:4),
 sqsh,
 winexe,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Patched tools to use password hashes as authentication input
 This package contains modified versions of Curl, Iceweasel, FreeTDS, Samba 4,
 WinEXE and WMI. They are installed as executables starting with the "pth-"
 string.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/passing-the-hash

%:
	dh $@

override_dh_makeshlibs:
	# Do nothing, no real library

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-tree

override_dh_auto_configure::
	dh_auto_configure
	[ -d build-tree ] || ./prepare-build-tree.sh

override_dh_auto_build::
	dh_auto_build

override_dh_auto_install::
	dh_auto_install

# CURL build
override_dh_auto_configure::
	cd build-tree/curl && ./configure --with-gssapi --enable-static --disable-shared --with-openssl
override_dh_auto_build::
	$(MAKE) -C build-tree/curl
override_dh_auto_install::
	install -D -m 755 build-tree/curl/src/curl $(DESTDIR)/usr/bin/pth-curl

# FreeTDS build
override_dh_auto_build::
	cd build-tree/freetds && debian/rules build
override_dh_auto_install::
	cd build-tree/freetds/src/ctlib && \
	$(MAKE) install DESTDIR=$(DESTDIR) libdir=/usr/lib/passing-the-hash
	rm -f $(DESTDIR)/usr/lib/passing-the-hash/libct.a
	rm -f $(DESTDIR)/usr/lib/passing-the-hash/libct.la

# WMI build
override_dh_auto_build::
	unset CFLAGS; cd build-tree/wmi && debian/rules build
override_dh_auto_install::
	install -D -m 755 build-tree/wmi/Samba/source/bin/wmic $(DESTDIR)/usr/bin/pth-wmic
	install -D -m 755 build-tree/wmi/Samba/source/bin/wmis $(DESTDIR)/usr/bin/pth-wmis

## passing-the-hash 0~2015.12.37

=== debian/changelog ===
passing-the-hash (0~2015.12.37) kali-dev; urgency=medium

  * Better CFLAGS to build wmi

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 04 Dec 2024 11:57:28 +0700

passing-the-hash (0~2015.12.36) kali-dev; urgency=medium

  * Rules-Requires-Root: no
  * Drop obsolete constraints
  * Split Curl and Freetds build dependencies
  * Update Freetds build dependencies
  * Update Curl build dependencies
  * Disable psl explicitly for curl build
  * Update freetds patch (lines number)
  * Add pkgconf to Freetds build deps
  * Update CFLAGS to make the build of wmi pass

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 03 Dec 2024 23:57:38 +0700

passing-the-hash (0~2015.12.35) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Drop dependency on winexe

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 02 Dec 2024 23:03:41 +0700

passing-the-hash (0~2015.12.34) kali-dev; urgency=medium

  * Update linitian override for embedded curl.
  * Update libidn build dependency.
  * Update standards version to 4.6.2, no changes needed.
  * Update curl pth patch to add tolower declaration.
  * Update curl pth patch for 8.4.0
  * Tidy up: wrap-and-sort -ast

 -- Steev Klimaszewski <steev@kali.org>  Fri, 03 Nov 2023 13:56:48 -0500

=== debian/control ===
Source: passing-the-hash
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Raphaël Hertzog <buxy@kali.org>,
 Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
# Curl
 autoconf,
 automake,
 ca-certificates,
 groff-base,
 libgnutls28-dev,
 libidn2-dev,
 libkrb5-dev,
 libldap2-dev,
 librtmp-dev,
 libssh2-1-dev,
 libssl-dev,
 libtool,
 openssh-server <!nocheck>,
 stunnel4 <!nocheck>,
 zlib1g-dev,
# Freetds
 libreadline-dev,
 pkgconf,
 unixodbc-dev,
Standards-Version: 4.6.2
Vcs-Git: https://gitlab.com/kalilinux/packages/passing-the-hash.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/passing-the-hash
Homepage: http://passing-the-hash.blogspot.fr

Package: passing-the-hash
Architecture: any
Depends:
 samba-common-bin (>= 2:4.21.2+dfsg-3),
 smbclient (>= 2:4),
 sqsh,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Patched tools to use password hashes as authentication input
 This package contains modified versions of Curl, Iceweasel, FreeTDS, Samba 4,
 WinEXE and WMI. They are installed as executables starting with the "pth-"
 string.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 # CURL build
 override_dh_auto_configure::
-	cd build-tree/curl && ./configure --with-gssapi --enable-static --disable-shared --with-openssl
+	cd build-tree/curl && ./configure --with-gssapi --enable-static --disable-shared --with-openssl --without-libpsl
 override_dh_auto_build::
 	$(MAKE) -C build-tree/curl
 override_dh_auto_install::
@@ -41,7 +41,8 @@
 
 # WMI build
 override_dh_auto_build::
-	unset CFLAGS; cd build-tree/wmi && debian/rules build
+	# Don't use current CFLAGS, set it manually
+	export CFLAGS='-std=gnu89'; cd build-tree/wmi && debian/rules build
 override_dh_auto_install::
 	install -D -m 755 build-tree/wmi/Samba/source/bin/wmic $(DESTDIR)/usr/bin/pth-wmic
 	install -D -m 755 build-tree/wmi/Samba/source/bin/wmis $(DESTDIR)/usr/bin/pth-wmis
